<?php
error_reporting(0);
$k=trim($_GET['k']); include("key.php");
include_once("freedata.php"); freedata($k,0);
$d=rawurldecode(trim($_GET['d'])); $n=rawurldecode(trim($_GET['n']));
if ($d==NULL) {$d="";} elseif ($d=="/") {$d="";} if ($n==NULL) {$n="";}
$rd=rawurlencode($d); $rn=rawurlencode($n);
$d=str_replace(".|htaccess",".htaccess",$d);
$n=str_replace(".|htaccess",".htaccess",$n);

include "includes/header.php";

if (($ftp=@ftp_connect($sr))&&(@ftp_login($ftp,$lg,$ps))) {
 @ftp_pasv($ftp,true);
 $sz=@ftp_size($ftp,"$d/$n");
 $tm=@ftp_mdtm($ftp,"$d/$n");
 @ftp_close($ftp);

 $fsz=$sz;
 if ($sz<1024) {$sz="$sz байт";}
 elseif (($sz>=1024)&&($sz<1048576)) {$sz=strtr(round($sz/1024,2),".",",")." кб";}
 elseif ($sz>=1048576) {$sz=strtr(round($sz/1024/1024,2),".",",")." мб";}

 if ($tm<>NULL) {$tmv=date("d.m.y, H:i:s",$tm);} else {$tmv="-";}
 $d=str_replace("\$","\$\$",$d); $n=str_replace("\$","\$\$",$n);
 $rf=strtolower(preg_replace("~.*\.([^.]*)~m","\\1",$n));
echo '<div class="box_2">
Путь: <b><a href="ftp.php?k='.$k.'&amp;d='.$rd.'">'.$d.'/</a></b>'.$n.'<br/>
</div><div class="box_1">
Размер: '.$sz.'<br/>
Изменён: '.$tmv.'<br/>';

if ((($rf=="zip")||($rf=="jar")||($rf=="tar")||($rf=="tgz")||($rf=="gz")||($rf=="gz2")||($rf=="bz")||($rf=="bz2")||($rf=="tbz")||($rf=="tbz2")||($rf=="tgz2"))&&($fsz<=716800)&&($fsz>0)) {echo '- - -<br/><a href="openarh.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'&amp;tp='.$rf.'">Открыть..</a><br/>';
if (($rf=="zip")||($rf=="jar")) {echo '<a href="zip.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'&amp;ac=ext">Разархивировать</a><br/>';}
elseif (($rf=="tar")||($rf=="tgz")||($rf=="gz")||($rf=="gz2")||($rf=="bz")||($rf=="bz2")
||($rf=="tbz")||($rf=="tbz2")||($rf=="tgz2")) {echo '<a href="tgz.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'&amp;ac=ext">Разархивировать</a><br/>';}}
if (($rf<>"jpg")&&($rf<>"jpeg")&&($rf<>"jpe")&&($rf<>"png")&&($rf<>"gif")&&($rf<>"bmp")&&($rf<>"dll")&&($rf<>"wav")&&($rf<>"mid")&&($rf<>"midi")&&($rf<>"mp3")&&($rf<>"mmf")&&($rf<>"psd")&&($rf<>"doc")&&($rf<>"pdf")&&($rf<>"zip")&&($rf<>"rar")&&($rf<>"jar")&&($rf<>"3gp")&&($rf<>"avi")&&($rf<>"mp4")&&($rf<>"class")&&($rf<>"tgz")&&($rf<>"gz")&&($rf<>"bz")&&($rf<>"gz2")&&($rf<>"bz2")&&($rf<>"tbz")&&($rf<>"tbz2")&&($rf<>"tgz2")&&($rf<>"tar")&&($fsz<=122880)) {
echo '
<form action="edit.php" method="get">
Строк в редакторе(1-50):<br/>
<input name="ln" type="text" value="10" maxlength="2" size="2" format="*N"/><br/>
Символов в строке(32-1024):<br/>
<input name="msz" type="text" value="0" maxlength="4" size="4" format="*N"/><br/>
Кодировка файла:<br/>
<select name="ikdr" value="2">
<option value="1">Koi8-R</option>
<option value="2">Другая</option>
</select><br/>
Сохранить как:<br/>
<select name="kdr" value="1">
<option value="1">UTF-8</option>
<option value="2">Windows-1251</option>
<option value="3">Escape(Unicode)</option>
<option value="4">Koi8-R</option>
<option value="5">Не изменять</option>
</select><br/>
<input type="hidden" name="k" value="'.$k.'"/>
<input type="hidden" name="d" value="'.$rd.'"/>
<input type="hidden" name="n" value="'.$rn.'"/>
<input type="hidden" name="ed" value="1"/>
<input type="submit" value="Редактировать"><br/>';
}
if (($rf=="txt")&&($fsz<=204800)) {echo '- - -<br/><a href="book.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'">Создать книгу</a><br/>';}
if (($rf=="sql")&&($fsz<=204800)) {echo '- - -<br/><a href="inst.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'">Создать установщик</a>';}
echo '</form></div>';
echo '<div class="title_page">В список:</div><div class="box_1">
&raquo; <a href="actn.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'&amp;ac=copy&amp;t=f&amp;go=1">Копирования</a><br/>
&raquo; <a href="actn.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'&amp;ac=cut&amp;t=f&amp;go=1">Перемещения</a><br/>';
if (($rf<>"zip")&&($rf<>"jar")&&($rf<>"rar")&&($rf<>"tgz")&&($rf<>"gz")&&($rf<>"bz")&&($rf<>"gz2")&&($rf<>"bz2")&&($rf<>"tbz")&&($rf<>"tbz2")&&($rf<>"tgz2")&&($rf<>"tar")&&($fsz<=3145728)) {echo' 
&raquo; <a href="actn.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'&amp;ac=arh&amp;t=f&amp;go=1">ZIP - архив</a><br/>
&raquo; <a href="actn.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'&amp;ac=at&amp;t=f">TAR - архив</a>';}
echo '</div>';
if (($rf<>"zip")&&($rf<>"jar")&&($rf<>"rar")&&($rf<>"tgz")&&($rf<>"gz")&&($rf<>"bz")&&($rf<>"gz2")&&($rf<>"bz2")&&($rf<>"tbz")&&($rf<>"tbz2")&&($rf<>"tgz2")&&($rf<>"tar")&&($fsz<=3145728)) {echo '
<div class="title_page">Архивировать:</div><div class="box_1">
&raquo; <a href="ecopy.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'&amp;tp=a">ZIP- архив</a><br/>
&raquo; <a href="ecopy.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'&amp;tp=t">TAR- архив</a></div>';
}
echo '<div class="title_page">С файлом:</div><div class="box_1">
&raquo; <a href="ecopy.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'&amp;tp=c">Копировать</a><br/>
&raquo; <a href="ecopy.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'&amp;tp=m">Переместить</a><br/>
&raquo; <a href="actn.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'&amp;ac=ren&amp;t=f">Переименовать</a><br/>
&raquo; <a href="actn.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'&amp;ac=del&amp;t=f">Удалить</a></div>
';
} else {
include "includes/header.php"; 
echo '<div class="box_1">
Нет соединения с сервером</div>
<div class="title_page"><a href="index.php">Главная</a></div>';
}
include "includes/footer.php";
?>